Bug 1251376 - [GSS] (6.1.z)creating bpmn2 file by selecting BPMN2 Model will generate incomplete xml file
[GSS] (6.1.z)creating bpmn2 file by selecting BPMN2 Model will generate incom...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Robert (Bob) Brodt
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-07 02:53 EDT by sfu@redhat.com
Modified: 2016-01-19 02:37 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
steps for reporduce (936.49 KB, application/zip)
2015-08-07 02:53 EDT, sfu@redhat.com
no flags Details

  None (edit)
Description sfu@redhat.com 2015-08-07 02:53:20 EDT
Created attachment 1060242 [details]
steps for reporduce

Description of problem:

when try to save a bpmn2 file which created by selecting BPMN2 Model in JBDS 8.1 will encounter:no targetnamespace defined

Version-Release number of selected component (if applicable):
BPMN2 Modeler plugin        version  1.1.3.Final
JBoss jBPM Core	            version 6.2.0.Final
JBDS                        version 8.1.0 GA

How reproducible:
always

Steps to Reproduce:
1.New jbpm project
2.New BPMN2 Model
3.Add start and end event into it and save it
(also see attachment)

Actual results:
no targetnamespace defined error appear

Expected results:
no error and save successfully

Additional info:
It works for JBDS 7.1.1GA
Comment 2 Robert (Bob) Brodt 2015-09-09 12:58:10 EDT
The "New BPMN2 Model" wizard should not be used to generate jBPM Process files. This wizard is unrelated to Drools/jBPM and is contributed by the Eclipse BPMN2 Metamodel project - it does not know about Drools/jBPM and does not generate the necessary targetNamespace and other BPMN2 elements required by jBPM.

Instead use either the Drools->New jBPM Process or JBPM->New jBPM Process wizards.

Regardless, the "New BPMN2 Model" wizard has been removed from the BPMN2 category. The BPMN2 wizard category now contains only a "Generic BPMN2 Diagram" wizard which also does not create the required jBPM Process elements, but I can't remove this wizard because we can't simply assume the user has no need for it.

If you want to create a jBPM Process file, use the "New jBPM Process" wizard!
Comment 3 Jozef Marko 2015-10-07 06:30:57 EDT
Fix not available in jbds-9.0.0.CR2_jbdsis-9.0.0.Alpha2 or jbds-8.1.0.GA_jbdsis-8.0.4.CR1 yet .
Comment 4 Jozef Marko 2016-01-19 02:37:00 EST
By BPMN2 wizard can user now create 3 types of diagrams: process, collaboration and choreography. There is no error about missing namespace after completion of all of these wizards.

Verified on jbdsis-8.0.5, BPMN2 Modeler 1.1.4.Final

Note You need to log in before you can comment on or make changes to this bug.